## libtwin 13.05.03.15.06

=== twin_fedit/Makefile ===
CFLAGS=$(shell pkg-config --cflags cairo x11) -g -Wall
LIBS=$(shell pkg-config --libs cairo x11)

OBJS=twin-fedit.o twin-sfit.o

twin-fedit: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $(OBJS) $(LIBS)

$(OBJS): twin-fedit.h

## libtwin 11.12.11-gcc20d5f

=== debian/changelog ===
libtwin (11.12.11-gcc20d5f-2) unstable; urgency=low

  * debian/control: Add missing package dependencies. (Closes: #664173)
  * debian/control: Update standards version to 3.9.3
  * debian/control: Minor cleanup of package descriptions
  * debian/rules: Add libs to LDFLAGS.

 -- Geoff Levand <geoff@infradead.org>  Sat, 17 Mar 2012 19:58:19 -0700

libtwin (11.12.11-gcc20d5f-1) unstable; urgency=low

  * Initial release (Closes: 660025)

 -- Geoff Levand <geoff@infradead.org>  Wed, 15 Feb 2012 12:40:50 -0800

=== debian/control ===
Source: libtwin
Priority: optional
Maintainer: Geoff Levand <geoff@infradead.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, libx11-dev, libpng-dev, libjpeg-dev, libz-dev, pkg-config
Standards-Version: 3.9.3
Section: libs
Homepage: http://cgit.freedesktop.org/twin/

Package: libtwin-dev
Section: libdevel
Architecture: any
Depends: libtwin0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libpng-dev, libjpeg-dev, libz-dev
Description: tiny window system (development files)
 With embedded systems gaining high resolution displays and powerful CPUs, the
 desire for sophisticated graphical user interfaces can be realized in even the
 smallest of systems. While the CPU power available for a given power budget
 has increased dramatically, these tiny systems remain severely memory
 constrained. This unique environment presents interesting challenges in
 graphical system design and implementation. Using ideas from modern window
 systems in larger environments, TWIN offers overlapping translucent windows,
 anti-aliased graphics and scalable fonts in a total memory budget of 100KB.
 .
 This package contains the header files for development.

Package: libtwin0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tiny window system (library)
 With embedded systems gaining high resolution displays and powerful CPUs, the
 desire for sophisticated graphical user interfaces can be realized in even the
 smallest of systems. While the CPU power available for a given power budget
 has increased dramatically, these tiny systems remain severely memory
 constrained. This unique environment presents interesting challenges in
 graphical system design and implementation. Using ideas from modern window
 systems in larger environments, TWIN offers overlapping translucent windows,
 anti-aliased graphics and scalable fonts in a total memory budget of 100KB.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -lX11 -lpng12 -ljpeg -lz

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-x11 --enable-fbdev

## libtwin 12.04.13.17.57-g130ee5f

=== debian/changelog ===
libtwin (12.04.13.17.57-g130ee5f-2) unstable; urgency=low

  * debian/rules: Fix error in powerpc DEB_HOST_ARCH conditional

 -- Geoff Levand <geoff@infradead.org>  Thu, 10 May 2012 17:33:58 -0700

libtwin (12.04.13.17.57-g130ee5f-1) unstable; urgency=low

  * debian/rules: Add conditionals for DEB_HOST_ARCH, DEB_HOST_ARCH_OS.
    Fixes non-linux and powerpc altivec build errors.
  * libtwin: Update to latest release (libtwin-12.04.13.17.57-g130ee5f).
    Reverts powerpc altivec changes.

 -- Geoff Levand <geoff@infradead.org>  Fri, 13 Apr 2012 18:18:32 -0700

libtwin (12.04.08.20.33-gf15c3de-1) unstable; urgency=low

  * debian/control: Update 'Homepage:'.
  * debian/rules: Remove now unneeded '--with autoreconf'.
  * libtwin: Update to latest release (libtwin-12.04.08.20.33-gf15c3de).
    Fixes powerpc altivec build errors.

 -- Geoff Levand <geoff@infradead.org>  Sun, 08 Apr 2012 20:07:06 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, libx11-dev, libpng-dev, libjpeg-dev, libz-dev, pkg-config
 Standards-Version: 3.9.3
 Section: libs
-Homepage: http://cgit.freedesktop.org/twin/
+Homepage: http://git.kernel.org/?p=linux/kernel/git/geoff/libtwin.git
 
 Package: libtwin-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,28 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+extra_configure =
+
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+	extra_configure += --enable-fbdev --enable-linux-mouse --enable-linux-joystick
+else
+	extra_configure += --disable-fbdev --disable-linux-mouse --disable-linux-joystick
+endif
+
+extra_CFLAGS =
+
+ifeq ($(DEB_HOST_ARCH),powerpc)
+	extra_CFLAGS += -flax-vector-conversions
+endif
+
+export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(extra_CFLAGS)
 export LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -lX11 -lpng12 -ljpeg -lz
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-x11 --enable-fbdev
+	dh_auto_configure -- --enable-x11 $(extra_configure)

## libtwin 13.05.03.15.06-g287d16c

=== debian/changelog ===
libtwin (13.05.03.15.06-g287d16c-2)  unstable; urgency=low

  * debian/rules: Add conditional for --disable-linux-touchscreen. Fixes
    non-linux build errors.
    Use $(filter) for cpu types.
  * debian/libtwin-dev.install: Install libtwin.a.

 -- Geoff Levand <geoff@infradead.org>  Fri, 24 May 2013 22:37:22 +0000

libtwin (13.05.03.15.06-g287d16c-1) unstable; urgency=low

  * debian/compat: Update 8 -> 9.
  * debian/control: Set debhelper (>= 9).
    Update standards version to 3.9.4.
    Update Homepage, Vcs-Git, Vcs-Browser.
    Add Multi-Arch, Pre-Depends.
  * debian/copyright: Update Source.
    Add Copyright for new libtwin files.
  * debian/*.install: Update for multiarch.
  * debian/rules: Change from DEB_HOST_ARCH to DEB_HOST_ARCH_CPU.
  * libtwin: Update to latest release (13.05.03.15.06-g287d16c).
    Adds touch screen support.

 -- Geoff Levand <geoff@infradead.org>  Sun, 19 May 2013 10:25:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: libtwin
 Priority: optional
 Maintainer: Geoff Levand <geoff@infradead.org>
-Build-Depends: debhelper (>= 8.0.0), dh-autoreconf, libx11-dev, libpng-dev, libjpeg-dev, libz-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, libx11-dev, libpng-dev, libjpeg-dev, libz-dev, pkg-config
+Standards-Version: 3.9.4
 Section: libs
-Homepage: http://git.kernel.org/?p=linux/kernel/git/geoff/libtwin.git
+Homepage: http://git.kernel.org/cgit/linux/kernel/git/geoff/libtwin.git
+Vcs-Git: git://git.kernel.org/pub/scm/linux/kernel/git/geoff/libtwin.git
+Vcs-Browser: http://git.kernel.org/cgit/linux/kernel/git/geoff/libtwin.git
 
 Package: libtwin-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
+Pre-Depends: multiarch-support
+#Pre-Depends: ${misc:Pre-Depends}
 Depends: libtwin0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libpng-dev, libjpeg-dev, libz-dev
 Description: tiny window system (development files)
  With embedded systems gaining high resolution displays and powerful CPUs, the
@@ -25,6 +30,9 @@
 Package: libtwin0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: multiarch-support
+#Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: tiny window system (library)
  With embedded systems gaining high resolution displays and powerful CPUs, the

=== debian/rules ===
--- 
+++ 
@@ -9,20 +9,22 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 extra_configure =
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	extra_configure += --enable-fbdev --enable-linux-mouse --enable-linux-joystick
+	extra_configure += --enable-fbdev --enable-linux-mouse \
+		--enable-linux-joystick --enable-linux-touchscreen
 else
-	extra_configure += --disable-fbdev --disable-linux-mouse --disable-linux-joystick
+	extra_configure += --disable-fbdev --disable-linux-mouse \
+		--disable-linux-joystick --disable-linux-touchscreen
 endif
 
 extra_CFLAGS =
 
-ifeq ($(DEB_HOST_ARCH),powerpc)
+ifneq (,$(filter powerpc ppc64, $(DEB_HOST_ARCH_CPU)))
 	extra_CFLAGS += -flax-vector-conversions
 endif
